<%
   prefix = (defined?(componentIndex)) ? "component_#{componentIndex}_" : ''
   objid = @document['id']
   cmpid = (defined?(componentIndex)) ? "#{componentIndex}" : '0'
   fieldData = @document["#{prefix}files_tesim"]
   wowzaURL = grabWowzaURL(fieldData,objid,cmpid)
   displayFilePath = "#{objid}/#{displayFileName}"
   dataForDynamicLoad = "{\"file_type\":\"video\",\"display_file_path\":\"#{displayFilePath}\",\"service_file_path\":\"#{wowzaURL}\"}"
   embed_url = "#{root_url}embed/#{objid}/#{cmpid}"
   file_type = grabFileType(grabFileUse(:componentIndex=>cmpid))
%>

<% if access_notice.nil? && wowzaURL != nil %>
  <video controls="controls" id="dams-video-<%=componentIndex%>" data='<%=dataForDynamicLoad%>'>Loading the player...</video>
<% end %>
<%= render :partial => 'admin_download', :locals => {:cmpID => cmpid, :embedURL => embed_url, :downloadFilePath => downloadFilePath, :downloadDerivativePath => downloadDerivativePath, :wowzaURL => wowzaURL, :format => file_type, :publicSourceDownload => publicSourceDownload  } if access_notice.nil?%>
